/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/


using FairyGUI;
using FairyGUI.Utils;
using NBC;

namespace NBF
{
    public partial class HomeMainPage
    {
        public const string URL = "ui://hxr7rc7plvql10";

        public ModelViewer Model;
        public HomeButtonGroups OpGroup;
        public BottomMenu BottomMenu;

        public override void ConstructFromXML(XML xml)
        {
            base.ConstructFromXML(xml);

            Model = (ModelViewer)GetChild("Model");
            OpGroup = (HomeButtonGroups)GetChild("OpGroup");
            BottomMenu = (BottomMenu)GetChild("BottomMenu");
            OnInited();
            UILanguage.TrySetComponentLanguage(this);
        }
    }
}